curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Account\", \"id\": \"cust_child_2234\", \"external_id\": \"Ext_child_12345\", \"vid\": \"872d09b4e67d17dcc566ed8d51a529eeb6777727\", \"created\": \"2022-04-07T10:04:32+00:00\", \"parent\": { \"object\": \"Account\", \"id\": \"cust_2234\", \"vid\": \"04dbe59a1b72c653b672f828565b4989c2a9ac47\" }, \"default_currency\": \"USD\", \"email\": \"dbrown@example.com\", \"email_type\": \"html\", \"language\": \"EN-U\", \"notify_before_billing\": true, \"company\": \"Peanuts\", \"name\": \"David Brown\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"e705932f5362ee809910d45a3305332f788c985b\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"metadata\": { \"favorite dog\": \"Scooby\", \"favorite activity\": \"Swimming\" } } ], \"total_count\": 1, \"url\": \"/accounts/cust_2234/children\", \"next\": \"/accounts/cust_2234/children?starting_after=cust_child_2234\", \"previous\": \"/accounts/cust_2234/children?ending_before=cust_child_2234\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Fetch All Child Accounts
Retrieves all child accounts for a specified parent account.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/children")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Account\", \"id\": \"cust_child_2234\", \"external_id\": \"Ext_child_12345\", \"vid\": \"872d09b4e67d17dcc566ed8d51a529eeb6777727\", \"created\": \"2022-04-07T10:04:32+00:00\", \"parent\": { \"object\": \"Account\", \"id\": \"cust_2234\", \"vid\": \"04dbe59a1b72c653b672f828565b4989c2a9ac47\" }, \"default_currency\": \"USD\", \"email\": \"dbrown@example.com\", \"email_type\": \"html\", \"language\": \"EN-U\", \"notify_before_billing\": true, \"company\": \"Peanuts\", \"name\": \"David Brown\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"e705932f5362ee809910d45a3305332f788c985b\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"metadata\": { \"favorite dog\": \"Scooby\", \"favorite activity\": \"Swimming\" } } ], \"total_count\": 1, \"url\": \"/accounts/cust_2234/children\", \"next\": \"/accounts/cust_2234/children?starting_after=cust_child_2234\", \"previous\": \"/accounts/cust_2234/children?ending_before=cust_child_2234\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id or the vid of the parent Account for whom you'd like to retrieve the child list. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Response
JSON - A list array with a data property that contains an array of up to limit Accounts, starting after the specified starting_after Account (or ending before the specified ending_before Account). Each entry in the array is a full Account object. If no more Accounts are available, the resulting array will be empty. This request should never throw an error.
A list of Accountt objects matching the query. Also:
-
“total_count”: Integer count of the number of Accounts in the returned list.
-
“url”: The query string provided in the request
-
“next”: The route (partial URL) to the next Account object (string to select the “next”); included id should match that of the last object returned here
-
“previous”: The route (partial URL) to the previous Account object (string to select the “previous”); included id should match that of the first object returned here
List Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next Subscription object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous Subscriptions object (string to select the “previous”); included id should match that of the first object returned here.
"{ \"object\": \"List\", \"data\": [ { \"object\": \"Account\", \"id\": \"cust_child_2234\", \"external_id\": \"Ext_child_12345\", \"vid\": \"872d09b4e67d17dcc566ed8d51a529eeb6777727\", \"created\": \"2022-04-07T10:04:32+00:00\", \"parent\": { \"object\": \"Account\", \"id\": \"cust_2234\", \"vid\": \"04dbe59a1b72c653b672f828565b4989c2a9ac47\" }, \"default_currency\": \"USD\", \"email\": \"dbrown@example.com\", \"email_type\": \"html\", \"language\": \"EN-U\", \"notify_before_billing\": true, \"company\": \"Peanuts\", \"name\": \"David Brown\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"e705932f5362ee809910d45a3305332f788c985b\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"metadata\": { \"favorite dog\": \"Scooby\", \"favorite activity\": \"Swimming\" } } ], \"total_count\": 1, \"url\": \"/accounts/cust_2234/children\", \"next\": \"/accounts/cust_2234/children?starting_after=cust_child_2234\", \"previous\": \"/accounts/cust_2234/children?ending_before=cust_child_2234\" }"

